> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opennote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename Journal



## OpenAPI

````yaml openapis/journals.json patch /journals/editor/rename
openapi: 3.1.0
info:
  title: Journals Routes
  version: 0.0.1
servers: []
security: []
paths:
  /journals/editor/rename:
    patch:
      summary: Rename Journal
      operationId: rename_journal_journals_editor_rename_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RenameJournalRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RenameJournalResponse'
        '401':
          description: Invalid API key or unauthorized access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
        '500':
          description: Internal server error
      security:
        - HTTPBearer: []
components:
  schemas:
    RenameJournalRequest:
      properties:
        journal_id:
          type: string
          title: Journal Id
          description: The ID of the journal.
        title:
          type: string
          title: Title
          description: The title of the journal.
      additionalProperties: true
      type: object
      required:
        - journal_id
        - title
      title: RenameJournalRequest
      description: Request model for editing a journal title.
    RenameJournalResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        old_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Old Title
        new_title:
          anyOf:
            - type: string
            - type: 'null'
          title: New Title
        journal_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Journal Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - success
      title: RenameJournalResponse
      description: Response model for editing a journal title.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````